You need to understand this important difference

Make sure you know which version of Font Awesome you are going to use !

Font Awesome 4 has been around a long time, is very popular, but is slowly being replaced by Font Awesome 5.

Many Moodle Themes will work with Font Awesome 4, because Moodle itself (at the time of writing Moodle 3.5 / 3.6) is actually using Font Awesome 4 in the core code. All the icons and editor buttons etc. are all Font Awesome 4.

One problem, if you use Font Awesome 4 to add icons inline, is that when your Theme, or Moodle itself changes to Font Awesome 5, many images may break ... because the icons name are different !

(They won't break in the core Moodle code, because the developers will update those icons).

But icons you have added using the inline technique we explain here could (=will often) break.

Having said that, it is fairly early to update them if you don't mind spending a bit of time, and making small changes in HTML.

Last modified: Sunday, 21 October 2018, 9:16 PM